
QGIS Application - Bug report #16874

Error "Could not create transform to calculate true north" when a north arrow decoration displayed 

in the map editor

2017-07-16 02:05 PM - Patrick Dunford

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Decorations

Affected QGIS version:master Regression?: Yes

Operating System: Xubuntu artful Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24773

Description

Build b350676

Related issues:

Duplicated by QGIS Application - Bug report # 17108: Project with CRS set to ... Closed 2017-09-06

Associated revisions

Revision 19b1b799 - 2017-11-10 09:52 AM - Alexander Bruy

prevent crash from north arrow if project CRS is not defined (fix #16874)

History

#1 - 2017-07-16 02:27 PM - Patrick Dunford

Probably due to the missing CRS in the project file

#2 - 2017-07-16 04:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

what is the "map editor", the print composer?

possibly related to #16873

#3 - 2017-07-16 10:31 PM - Nyall Dawson

I suspect it means map canvas (i.e. North arrow decoration)

#4 - 2017-07-17 01:33 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open

- Category changed from GUI to Decorations
Raising priority assuming is the map canvas.

#5 - 2017-11-10 08:48 AM - Alexander Bruy

- Duplicated by Bug report #17108: Project with CRS set to 'No projection (or unknown/non-Earth projection)' throws exception with North Arrow added

#6 - 2017-11-10 09:56 AM - Alexander Bruy

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

Pull-request https://github.com/qgis/QGIS/pull/5595

#7 - 2017-11-11 03:08 PM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

#8 - 2017-11-12 02:08 AM - Alexander Bruy

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|19b1b7992d300aebfa72c6a0ee57431ce174677d.
